import request from '@/utils/request'

// 查询直播抽奖记录列表
export function listLiveLotteryProductConf(query) {
  return request({
    url: '/live/liveLotteryProductConf/list',
    method: 'get',
    params: query
  })
}

// 查询直播抽奖记录详细
export function getLiveLotteryProductConf(id) {
  return request({
    url: '/live/liveLotteryProductConf/' + id,
    method: 'get'
  })
}

//查询抽奖商品列表
export function listStoreProduct(query) {
  return request({
    url: '/live/liveLotteryConf/getGoods/'+query,
    method: 'get'
  })
}

// 新增直播抽奖记录
export function addLiveLotteryProductConf(data) {
  return request({
    url: '/live/liveLotteryProductConf',
    method: 'post',
    data: data
  })
}

// 修改直播抽奖记录
export function updateLiveLotteryProductConf(data) {
  return request({
    url: '/live/liveLotteryConf/product',
    method: 'post',
    data: data
  })
}

// 删除直播抽奖记录
export function delLiveLotteryProductConf(id) {
  return request({
    url: '/live/liveLotteryProductConf/' + id,
    method: 'delete'
  })
}

// 导出直播抽奖记录
export function exportLiveLotteryProductConf(query) {
  return request({
    url: '/live/liveLotteryProductConf/export',
    method: 'get',
    params: query
  })
}
